-- to back up in in psql \t \a \o myfile.sql \i backup.sql \o
-- data was copied to /var/lib/chemistry/postgrads on database


SELECT FORMAT('UPDATE postgraduate_studentship SET
    next_mentor_meeting_due = %L,
    college_history = %L,
    cpgs_title = %L,
    msc_title = %L,
    mphil_title = %L,
    phd_thesis_title = %L,
    first_year_probationary_report_title = %L,
    first_year_probationary_report_due = %L,
    first_year_probationary_report_submitted = %L,
    first_year_probationary_report_approved = %L,
    mphil_date_submitted = %L,
    msc_date_submitted = %L,
    cpgs_or_mphil_date_submitted = %L,
    phd_date_title_approved = %L,
    thesis_submission_due_date = %L,
    date_phd_submission_due = %L,
    phd_date_examiners_appointed = %L,
    phd_date_of_viva = %L,
    transferable_skills_days_1st_year = %L,
    transferable_skills_days_2nd_year = %L,
    transferable_skills_days_3rd_year = %L,
    transferable_skills_days_4th_year = %L,
    gaf_number = %L
    WHERE id = %L ;',
    next_mentor_meeting_due,
    college_history,
    cpgs_title,
    msc_title,
    mphil_title,
    phd_thesis_title,
    first_year_probationary_report_title,
    first_year_probationary_report_due,
    first_year_probationary_report_submitted,
    first_year_probationary_report_approved,
    mphil_date_submitted,
    msc_date_submitted,
    cpgs_or_mphil_date_submitted,
    phd_date_title_approved,
    thesis_submission_due_date,
    date_phd_submission_due,
    phd_date_examiners_appointed,
    phd_date_of_viva,
    transferable_skills_days_1st_year,
    transferable_skills_days_2nd_year,
    transferable_skills_days_3rd_year,
    transferable_skills_days_4th_year,
    gaf_number,
    id)
FROM public.postgraduate_studentship;
